.custom-slide-with-text custom-slide-with-text {
    display: block;
}

.custom-slide-with-text .is-stretch .swiper,
.custom-slide-with-text .is-stretch .block-image,
.custom-slide-with-text .is-stretch .media,
.custom-slide-with-text .is-stretch .media img,
.custom-slide-with-text .is-stretch .media svg {
    height: 100%;
}
.custom-slide-with-text .is-stretch .media img,
.custom-slide-with-text .is-stretch .media svg{
    width: 100%;
}
.custom-slide-with-text custom-slide-with-text .swiper-pagination {
    display: flex;
    flex-direction: row;
    gap: 20px;
    justify-content: center;
    align-items: center;
    bottom: 40px;
    padding: 0 20px;
}

.custom-slide-with-text custom-slide-with-text .swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
    border-radius: 6px;
    height: 6px;
    max-width: 180px;
    width: 100%;
    opacity: 1;
    background: var(--global-color-beige-hex);
    margin: 0;
}

.custom-slide-with-text custom-slide-with-text .swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet.is-active {
    background: var(--global-color-stategrey-hex);
}

.custom-slide-with-text .custom-slide-with-text-continer>* {
    height: auto;
}

@media (min-width: 768px) and (max-width: 1024px) {
    .custom-slide-with-text .custom-slide-with-text-continer {
        flex-direction: column;
    }

    .custom-slide-with-text .custom-slide-with-text-continer.is-reverse {
        flex-direction: column-reverse;
    }

    .custom-slide-with-text .custom-slide-with-text-continer>* {
        width: 100%;
    }

    .custom-slide-with-text .custom-slide-with-text-continer .block-group {
        padding: 80px 110px 40px 110px;
    }

    .custom-slide-with-text .custom-slide-with-text-continer .block-group:has(.block-group-new) {
        padding: 80px 20px;

    }

    .custom-slide-with-text .custom-slide-with-text-continer .block-group .block-group-content:has(.block-group-new) {
        flex-direction: row;
        flex-wrap: nowrap;
    }

    .custom-slide-with-text .custom-slide-with-text-continer .block-group .block-group-content:has(.block-group-new)>.block-heading {
        max-width: 342px;
    }
}

@media (max-width: 767px) {
    .custom-slide-with-text .custom-slide-with-text-continer.is-reverse {
        flex-direction: column-reverse;
    }

    .custom-slide-with-text custom-slide-with-text .swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
        max-width: 80px;
    }

    .custom-slide-with-text custom-slide-with-text .swiper-pagination {
        bottom: 20px;
    }
}